Page MenuHomePhabricator

Special:ExtensionDistributor displays an error
Closed, ResolvedPublic

Description

On mediawiki.org, Special:ExtensionDistributor displays the following error: "Unable to fetch extension list!". We use that page to download extensions, but now it is broken and needs to be fixed immediately.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 2:11 AM
GeoffreyT2000 triaged this task as Unbreak Now! priority.Mar 2 2018, 2:11 AM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 2 2018, 2:11 AM
Legoktm added a subscriber: Legoktm.Mar 2 2018, 2:45 AM

Maybe related to the Gerrit restart that just happened?

Legoktm closed this task as Resolved.Mar 2 2018, 2:48 AM
Legoktm claimed this task.
legoktm@terbium:~$ mwscript eval.php --wiki=mediawikiwiki
> var_dump($wgMemc->get('extdist-extensions-list'));
array(0) {
}

> var_dump($wgMemc->delete('extdist-extensions-list'));
bool(true)

> var_dump($wgMemc->get('extdist-skins-list'));
array(0) {
}

> var_dump($wgMemc->delete('extdist-skins-list'));
bool(true)

Mentioned in SAL (#wikimedia-operations) [2018-03-02T02:48:50Z] <legoktm> manually purged ExtensionDistributor cache (T188692)

And, thank you for reporting this so quickly :)

Mentioned in SAL (#wikimedia-operations) [2019-05-09T22:57:29Z] <bawolff> Manually cleared extdistributor cache T188692

D3r1ck01 closed this task as Resolved.May 9 2019, 10:58 PM
D3r1ck01 added a subscriber: D3r1ck01.

Working again!